databaseChangeLog:
  - changeSet:
      id: ACL Table Creation
      author: timo
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: ACL_CLASS_PKEY
                  name: id
                  type: BIGSERIAL
              - column:
                  name: CLASS_ID_TYPE
                  type: VARCHAR(500)
              - column:
                  name: CLASS
                  type: VARCHAR(500)
            tableName: ACL_CLASS
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: ACL_SID_PKEY
                  name: id
                  type: BIGSERIAL
              - column:
                  name: SID
                  type: VARCHAR(500)
              - column:
                  name: PRINCIPAL
                  type: BOOLEAN
            tableName: ACL_SID
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: ACL_OBJECT_IDENTITY_PKEY
                  name: id
                  type: BIGSERIAL
              - column:
                  name: OBJECT_ID_CLASS
                  type: BIGINT
              - column:
                  name: OBJECT_ID_IDENTITY
                  type: VARCHAR(500)
              - column:
                  name: PARENT_OBJECT
                  type: BIGINT
              - column:
                  name: OWNER_SID
                  type: BIGINT
              - column:
                  name: ENTRIES_INHERITING
                  type: BOOLEAN
            tableName: ACL_OBJECT_IDENTITY
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: ACL_ENTRY_PKEY
                  name: id
                  type: BIGSERIAL
              - column:
                  name: ACL_OBJECT_IDENTITY
                  type: BIGINT
              - column:
                  name: ACE_ORDER
                  type: INTEGER
              - column:
                  name: SID
                  type: BIGINT
              - column:
                  name: MASK
                  type: INTEGER
              - column:
                  name: GRANTING
                  type: BOOLEAN
              - column:
                  name: AUDIT_SUCCESS
                  type: BOOLEAN
              - column:
                  name: AUDIT_FAILURE
                  type: BOOLEAN
            tableName: ACL_ENTRY
